/***************************************************************************
                          DataEntryImpl.h  -  description
                             -------------------
    begin                : Thu Oct 4 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DATAENTRYIMPL_H
#define DATAENTRYIMPL_H

#include "DataEntry.h"

/**
  *@author DavidR
  */

class DataEntryImpl : public DataEntry
{
public: 

	//data
	int command_type;
	unsigned short lc;
	int n;
	char qdm;
	
	//functions
  DataEntryImpl( 	QWidget* parent = 0,
									const char* name = 0,
									bool modal = TRUE,
									WFlags fl = 0
							  );

	~DataEntryImpl();

  void on_Cancel_clicked();
  void on_OK_clicked();
	void showEvent(QShowEvent * ev);
	int ParseTextToHex(int l);
	int IsValidString(int l);
	void strupr(char * str);
};

#endif
