/***************************************************************************
                          FrDlciCommands_Impl.h  -  description
                             -------------------
    begin                : Thu Sep 26 2002
    copyright            : (C) 2002 by David Rokhvarg
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FRDLCICOMMANDS_IMPL_H
#define FRDLCICOMMANDS_IMPL_H

#include "Fr_DlciCommands.h"

#define SHOW_ADD_DLCI_AT_NODE         1
#define SHOW_ACTIVATE_DLCI_AT_NODE    2
#define SHOW_DELETE_DLCI_AT_NODE      3
#define SHOW_DEACTIVATE_DLCI_AT_NODE  4

/**
  *@author David Rokhvarg
  */

class FrDlciCommands_Impl : public FrDlciCommands  {
public: 
	FrDlciCommands_Impl(QWidget* parent = 0,
								 const char* name = 0,
								 bool modal = TRUE,
								 WFlags fl = 0);

	~FrDlciCommands_Impl();

  int my_show(char reason_for_showing);

  void on_Cancel();
  void on_OK();
  void closeEvent(QCloseEvent * e);
};

#endif
