/***************************************************************************
                          Fr_SendInfoFrames_Impl.h  -  description
                             -------------------
    begin                : Wed Oct 2 2002
    copyright            : (C) 2002 by David Rokhvarg
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FR_SENDINFOFRAMES_IMPL_H
#define FR_SENDINFOFRAMES_IMPL_H

#include "Fr_SendInfoFrames.h"  //parent class

#include "tester.h"					//data types
#include "TesterDefines.h"  //debug macros

/**
  *@author David Rokhvarg
  */

class Fr_SendInfoFrames_Impl : public Fr_SendInfoFrames  {
public:
  Fr_SendInfoFrames_Impl( QWidget* parent, const char* name, WFlags fl );
  ~Fr_SendInfoFrames_Impl();
  void showEvent(QShowEvent * ev);
  void closeEvent(QCloseEvent * e);
  void timerEvent(QTimerEvent * e);

	int initialize();

  void on_previously_sent_list_double_clicked();
  void on_send_many_frames();
  void on_send_one_frame();

  int timer_id;
  int sdlci;//dlci to send on

  int n;
  char qdm;
  int length;

  char sqdm;
  unsigned int seqnum;

	int smflag;
	int databyte;
  bool tflag;//is data text or hex flag
  bool ok;

  QString qstr_temp;
  QString qstr_messages;
};

#endif
