/****************************************************************************
** Form interface generated from reading ui file 'MainWizard.ui'
**
** Created: Fri Nov 21 13:53:43 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.2   edited Dec 19 11:45 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef TESTERWIZARD_H
#define TESTERWIZARD_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwizard.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QWidget;
class QLabel;
class QListBox;
class QListBoxItem;
class QPushButton;
class QGroupBox;
class QComboBox;
class QButtonGroup;
class QRadioButton;
class QListView;
class QListViewItem;

class TesterWizard : public QWizard
{
    Q_OBJECT

public:
    TesterWizard( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~TesterWizard();

    QWidget* load_card_page;
    QLabel* PixmapLabel1;
    QListBox* MainListBox;
    QPushButton* ButtonLoad;
    QGroupBox* GroupBox12;
    QComboBox* ComboBox_Devices;
    QButtonGroup* ButtonGroup_SelectProtocol;
    QRadioButton* RB_X25;
    QRadioButton* RB_FrRelay;
    QRadioButton* RB_ATM;
    QWidget* frame_relay_page;
    QPushButton* btn_FrReserved;
    QPushButton* btn_AddDlciAtNode;
    QPushButton* btn_ActivateDlciAtNode;
    QPushButton* btn_FrDeleteDlciAtNode;
    QPushButton* btn_FrDeactivateDlciAtNode;
    QPushButton* btn_FrDisableComms;
    QPushButton* btn_FrSendFullStatusInquiry;
    QPushButton* btn_SendInfoFrames;
    QPushButton* BUTTON_CONFIGURE;
    QPushButton* btn_FrReceiveInfoFrames;
    QPushButton* btn_FrEnableComms;
    QPushButton* btn_FrStartMonitor;
    QListView* ListView_FrMain;
    QWidget* x25_test_page;
    QPushButton* m_butStartMonitor;
    QGroupBox* GroupBox1;
    QPushButton* m_butConfirmClear;
    QPushButton* m_butConfirmRestart;
    QPushButton* m_buttonPlaceCall;
    QPushButton* m_butConfirmReset;
    QPushButton* m_butResetCall;
    QPushButton* m_butInterrupt;
    QPushButton* m_butConfirmInterrupt;
    QPushButton* m_butHdlc;
    QPushButton* m_butClearCall;
    QPushButton* m_butAcceptCall;
    QPushButton* m_butRestart;
    QListBox* MainListBox_X25;
    QGroupBox* GroupBox5;
    QPushButton* m_butSend;
    QPushButton* m_buttonSendMany;
    QPushButton* m_butFlush;
    QPushButton* m_butDisableEnableReceiver;
    QGroupBox* GroupBox7;
    QPushButton* button_ConfigureX25;
    QPushButton* PushButton76;
    QWidget* atm_test_page;
    QListView* MainListView_ATM;
    QPushButton* pushButton_Set_PHY_Configuration;
    QPushButton* pushButton_Set_ATM_AAL_Configuration;
    QPushButton* pushButton_Delete_VPI_VCI;
    QPushButton* pushButton_Add_VPI_VCI;
    QPushButton* pushButton_Send_Data;
    QPushButton* pushButton_Send_ATM_Loopback;
    QPushButton* pushButton_AAL_Connect_Disconnect_PVC;
    QPushButton* pushButton_OAM_Continuity_Check_Ctr;
    QPushButton* pushButton_Resynch_PHY_Receiver;
    QPushButton* pushButton_Enable_Disable_PHY_Comms;
    QPushButton* pushButton_Enable_Disable_SAR;
    QPushButton* pushButton45;
    QPushButton* pushButton44;
    QPushButton* pushButton43;
    QPushButton* pushButton42;

public slots:
    virtual void on_read_atm_statistics();
    virtual bool on_load_clicked_slot();
    virtual void on_fr_activate_dlci_at_node();
    virtual void on_fr_add_dlci_at_node();
    virtual void on_fr_deactivate_dlci_at_node();
    virtual void on_fr_delete_dlci_at_node();
    virtual void on_fr_disable_comms();
    virtual void on_fr_enable_comms();
    virtual void on_fr_receive_info_frames();
    virtual void on_fr_send_full_status_enquiry();
    virtual void on_fr_send_info_frames();
    virtual void on_fr_start_monitor();
    virtual void on_set_X25_configuration();
    virtual void on_x25_accept_call();
    virtual void on_x25_clear_call();
    virtual void on_x25_confirm_clear();
    virtual void on_x25_confirm_interrupt();
    virtual void on_x25_confirm_reset();
    virtual void on_x25_confirm_restart();
    virtual void on_x25_echo_packets();
    virtual void on_x25_flush_data_buff_clicked();
    virtual void on_x25_hdlc_clicked();
    virtual void on_x25_interrupt();
    virtual void on_x25_place_call();
    virtual void on_x25_receive();
    virtual void on_x25_receive_many();
    virtual void on_x25_reset_call();
    virtual void on_x25_restart_clicked();
    virtual void on_x25_send();
    virtual void on_x25_send_many();
    virtual void on_x25_start_monitor();
    virtual void set_fr_configuration();
    virtual void TesterWizard_destroyed( QObject * );
    virtual void on_start_atm_trace();
    virtual void on_x25_configure();
    virtual void atm_set_atm_aal_configuration();
    virtual void atm_set_phy_configuration();
    virtual void atm_send_data();
    virtual void atm_delete_vpi_vci();
    virtual int atm_phy_enable_disable_communications();
    virtual int atm_enable_disable_sar();
    virtual int atm_connect_disconnect_pvc();
    virtual void atm_add_vpi_vci();
    virtual void atm_send_atm_aal_loopback();
    virtual void atm_recynch_phy_receiver();
    virtual void atm_oam_continuity_check_cntrl();

protected:
    QGridLayout* load_card_pageLayout;
    QGridLayout* GroupBox12Layout;
    QGridLayout* ButtonGroup_SelectProtocolLayout;
    QGridLayout* frame_relay_pageLayout;
    QGridLayout* x25_test_pageLayout;
    QGridLayout* GroupBox1Layout;
    QGridLayout* GroupBox5Layout;
    QGridLayout* GroupBox7Layout;
    QGridLayout* atm_test_pageLayout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;

};

#endif // TESTERWIZARD_H
