/***************************************************************************
                          X25EchoPacketsImpl.cpp  -  description
                             -------------------
    begin                : Fri Oct 5 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "X25EchoPacketsImpl.h"
#include "MainWizardImpl.h"
#include "qcheckbox.h"

extern TesterWizardImpl * globalTesterWizPtr;

X25EchoPacketsImpl::X25EchoPacketsImpl(
											QWidget* parent,
											const char* name,
											bool modal, WFlags fl ):X25EchoPackets(
																														 parent,
																														 name,
																														 modal,
																														 fl)
{
  set_widget_caption(this);
}


X25EchoPacketsImpl::~X25EchoPacketsImpl(){
}

void X25EchoPacketsImpl::on_Cancel_clicked()
{
	done(IDCANCEL);
}

void X25EchoPacketsImpl::on_OK_clicked()
{
	bool ok = false;
	int 		i_tmp;
	QString s_tmp;

	s_tmp = RX_LCN_102->text();
	i_tmp = s_tmp.toUShort(&ok, 10);
  globalTesterWizPtr->brchannel = i_tmp;

	s_tmp = TX_LCN_103->text();
	i_tmp = s_tmp.toUShort(&ok, 10);
  globalTesterWizPtr->bschannel = i_tmp;

	done(IDOK);
}

void X25EchoPacketsImpl::showEvent(QShowEvent * ev)
{
	char s[20];

  set_widget_position_on_screen(this);

	sprintf(s, "%d", globalTesterWizPtr->brchannel);
	QString tmp1(s);
	RX_LCN_102->setText(tmp1);

	sprintf(s, "%d", globalTesterWizPtr->bschannel);
	QString tmp2(s);
	TX_LCN_103->setText(tmp2);
}
