/***************************************************************************
                          X25_ActiveChannels_Impl.h  -  description
                             -------------------
    begin                : Tue Sep 17 2002
    copyright            : (C) 2002 by David Rokhvarg
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef X25_ACTIVECHANNELS_IMPL_H
#define X25_ACTIVECHANNELS_IMPL_H

#include "X25_ActiveChannels.h"

/**Active LCNs implementation file
  *@author David Rokhvarg
  */

class X25_ActiveChannels_Impl : public X25_ActiveChannels  {
public: 
	X25_ActiveChannels_Impl( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~X25_ActiveChannels_Impl();

	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);

  void on_Close();
  void on_Show_LCN_Config();
  void timerEvent(QTimerEvent * e);

  //data
	int timer_id;
	XCBLOCK cb;
	XCBLOCK lastcb;
	X25_LCN_Cfg_Impl * x25_lcn_cfg;//per channel cfg after negotiation
};

#endif
