/***************************************************************************
                          X25_GeneralFacilities_Impl.cpp  -  description
                             -------------------
    begin                : Tue Oct 9 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "MainWizardImpl.h"

X25_GeneralFacilities_Impl::X25_GeneralFacilities_Impl(
																	QWidget* parent,
																	const char* name,
																	bool modal, WFlags fl ):X25_GeneralFacilities(
																																		parent,
																																		name,
																																		modal,
																																		fl)
{
}

X25_GeneralFacilities_Impl::~X25_GeneralFacilities_Impl()
{
  set_widget_caption(this);
}

void X25_GeneralFacilities_Impl::showEvent(QShowEvent * ev)
{
  set_widget_position_on_screen(this);

	//genl_facilities_supported_1
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0001)
		G1_BIT0->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0002)
		G1_BIT1->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0004)
		G1_BIT2->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0008)
		G1_BIT3->setChecked(true);

	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0010)
		G1_BIT4->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0020)
		G1_BIT5->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0040)
		G1_BIT6->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0080)
		G1_BIT7->setChecked(true);

	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0100)
		G1_BIT8->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0200)
		G1_BIT9->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0400)
		G1_BIT10->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0800)
		G1_BIT11->setChecked(true);

	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x1000)
		G1_BIT12->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x2000)
		G1_BIT13->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x4000)
		G1_BIT14->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x8000)
		G1_BIT15->setChecked(true);

	//genl_facilities_supported_2
	if(global_x25cfg_struct->genl_facilities_supported_2 & 0x0001)
		G2_BIT0->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0002)
		G2_BIT1->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0004)
		G2_BIT2->setChecked(true);
	if(global_x25cfg_struct->genl_facilities_supported_1 & 0x0008)
		G2_BIT3->setChecked(true);

}

void X25_GeneralFacilities_Impl::on_Cancel_clicked()
{
	done(IDCANCEL);
}

void X25_GeneralFacilities_Impl::on_OK_clicked()
{
	global_x25cfg_struct->genl_facilities_supported_1 = 0;

	//genl_facilities_supported_1
	if(G1_BIT0->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0001;
	if(G1_BIT1->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0002;
	if(G1_BIT2->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0004;
	if(G1_BIT3->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0008;

	if(G1_BIT4->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0010;
	if(G1_BIT5->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0020;
	if(G1_BIT6->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0040;
	if(G1_BIT7->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0080;

	if(G1_BIT8->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0100;
	if(G1_BIT9->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0200;
	if(G1_BIT10->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0400;
	if(G1_BIT11->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x0800;

	if(G1_BIT12->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x1000;
	if(G1_BIT13->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x2000;
	if(G1_BIT14->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x4000;
	if(G1_BIT15->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_1 |= 0x8000;

	//genl_facilities_supported_2
	if(G2_BIT0->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_2 |= 0x0001;
	if(G2_BIT1->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_2 |= 0x0002;
	if(G2_BIT2->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_2 |= 0x0004;
	if(G2_BIT3->isChecked() == true)
		global_x25cfg_struct->genl_facilities_supported_2 |= 0x0008;

	done(IDOK);
}

