/***************************************************************************
                          X25_LCN_Cfg_Impl.cpp  -  description
                             -------------------
    begin                : Tue Oct 16 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "MainWizardImpl.h"

extern TesterWizardImpl * globalTesterWizPtr;

X25_LCN_Cfg_Impl::X25_LCN_Cfg_Impl( QWidget* parent,
																		const char* name,
																		WFlags fl):X25_LCN_Cfg(parent, name, fl )
{
	selected_LCN = 0;
}

X25_LCN_Cfg_Impl::~X25_LCN_Cfg_Impl()
{
}

//
void X25_LCN_Cfg_Impl::myShow(ushort lcn)
{
  selected_LCN = lcn;

  if(isVisible() == FALSE)  show();

  showCurrentCfg();
}

void X25_LCN_Cfg_Impl::showEvent(QShowEvent * ev)
{
  set_widget_position_on_screen(this);
}

void X25_LCN_Cfg_Impl::on_Close_clicked()
{
	close();
}

void X25_LCN_Cfg_Impl::closeEvent(QCloseEvent * e)
{
	e->accept();
}


void X25_LCN_Cfg_Impl::showCurrentCfg()
{
	globalTesterWizPtr->xcb.logical_channel = selected_LCN;
	globalTesterWizPtr->xcb.command = X25_READ_CHANNEL_CONFIGURATION;
	globalTesterWizPtr->xcb.buffer_length = 0;

	globalTesterWizPtr->X25_DoCommand();
  memcpy(&cb, &globalTesterWizPtr->xcb, sizeof(cb));

	if (cb.return_code == 0)
	{
		sprintf(temp, "%d", cb.data[1] & 0x07);
		T310->setText(temp);
		sprintf(temp, "%d", cb.data[2] & 0x07);		
		T311->setText(temp);
		sprintf(temp, "%d", 0x0010 << ((cb.data[1] & 0x38) >> 3));		
		T312->setText(temp);
		sprintf(temp, "%d", 0x0010 << ((cb.data[2] & 0x38) >> 3));		
		T313->setText(temp);
	}

  sprintf(temp, "Current Configuration for LCN %d", selected_LCN);
  setCaption(tr(temp));
}
