/***************************************************************************
                          X25_Stats_Impl.h  -  description
                             -------------------
    begin                : Tue Oct 16 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef X25_STATS_IMPL_H
#define X25_STATS_IMPL_H

#include "X25_Stats.h"

/**
  *@author DavidR
  */

class X25_Stats_Impl : public X25_Stats  {
public: 
	
  X25_Stats_Impl( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~X25_Stats_Impl();

  void on_Flush_clicked();
  void on_Close_clicked();

	void timerEvent(QTimerEvent * e);
	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);

	//data
	int timer_id;
	XCBLOCK cb;
	XCBLOCK lastcb;
	QLabel * x25_stats_data[32];//pointers to output text feilds
	char tmp[10];
};

#endif
