/***************************************************************************
                          X25_Timers_Impl.h  -  description
                             -------------------
    begin                : Wed Oct 10 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef X25_TIMERS_IMPL_H
#define X25_TIMERS_IMPL_H

#include "X25_Timers.h"

/**
  *@author DavidR
  */

class X25_Timers_Impl : public X25_Timers
{
public: 
	
	X25_Timers_Impl(QWidget* parent = 0,
								 const char* name = 0,
								 bool modal = TRUE,
								 WFlags fl = 0);

	~X25_Timers_Impl();

	void showEvent(QShowEvent * ev);
  void on_Cancel_clicked();
  void on_OK_clicked();

	void set_edit_box_value(QLineEdit * ed, int value);
	unsigned short get_edit_box_value(QLineEdit * ed);

};

#endif
