// atm_send_info_frames_impl.h: interface for the atm_send_info_frames_impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(ATM_SEND_INFO_FRAMES_IMPL_H)
#define ATM_SEND_INFO_FRAMES_IMPL_H

#include "atm_send_info_frames.h"

class atm_send_info_frames_impl : public atm_send_info_frames  
{
public:
	atm_send_info_frames_impl();
	~atm_send_info_frames_impl();

	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);
	void timerEvent(QTimerEvent * e);

	int initialize();

	int timer_id;
	unsigned short vpi;
	unsigned short vci;
	unsigned short tx_length;
	unsigned long num_of_frames_to_transmit;
	bool sending_many;
	unsigned long tx_ok_counter;

	int get_vpi_vci();
	void on_send_many_frames();
	void on_send_one_frame();

	int send_frame(	AAL_TX_STATUS_EL_STRUCT * p_tx_el,
					BYTE cardnumber
					);

	void atm_init_multiple_tx_buffer();

	bool ok;
	QString qstr_temp;
	QString qstr_messages;
	bool window_closed;

	bool my_isVisible();
	bool my_show();

	AAL_TX_STATUS_EL_STRUCT tx_el;
	unsigned char tx_buff[AAL_MAX_LENGTH_TX_USER_INFO];
};

#endif // !defined(ATM_SEND_INFO_FRAMES_IMPL_H)
