// atm_vpi_vci_status_impl.h: interface for the atm_vpi_vci_status_impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(ATM_VPI_VCI_STATUS_IMPL_H)
#define ATM_VPI_VCI_STATUS_IMPL_H

#include "atm_vpi_vci_status.h"

class atm_vpi_vci_status_impl : public atm_vpi_vci_status  
{
public:
	atm_vpi_vci_status_impl();
	~atm_vpi_vci_status_impl();

	bool window_closed;
	bool initialize();
	
	void timerEvent(QTimerEvent * e);
	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);

	void update_status_list(int i);

	unsigned char old_list_of_added_pvcs[SIZEOF_MB_DATA_BFR];
	unsigned char new_list_of_added_pvcs[SIZEOF_MB_DATA_BFR];

	QString qstr_vpi;
	QString qstr_vci;
	QString qstr_status;
	QString qstr_err_message;

	QListViewItem * list_view_item;

};

#endif // !defined(ATM_VPI_VCI_STATUS_IMPL_H)
