// Fr_ConfiguredDlcis_Impl.h: interface for the Fr_ConfiguredDlcis_Impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FR_CONFIGUREDDLCIS_IMPL_H__F31856C3_4822_4D1C_B74E_9817C0F6D35D__INCLUDED_)
#define AFX_FR_CONFIGUREDDLCIS_IMPL_H__F31856C3_4822_4D1C_B74E_9817C0F6D35D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Fr_ConfiguredDlcis.h"
#include "Fr_DLCI_Statistics_Impl.h"

class Fr_ConfiguredDlcis_Impl : public Fr_ConfiguredDlcis  
{
public:
	Fr_ConfiguredDlcis_Impl(QWidget* parent, const char* name, WFlags fl );	
	~Fr_ConfiguredDlcis_Impl();

	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);
	void timerEvent(QTimerEvent * e);

    void on_active_double_clicked();
    void on_inactive_double_clicked();

	FCBLOCK lastcb;
	int c;
	BYTE x;
	WORD dlci;
	char s[20];

	QString txt;

	Fr_DLCI_Statistics_Impl * per_dlci_stats;
};

#endif // !defined(AFX_FR_CONFIGUREDDLCIS_IMPL_H__F31856C3_4822_4D1C_B74E_9817C0F6D35D__INCLUDED_)
