// Fr_LineTrace_Impl.h: interface for the Fr_LineTrace_Impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FR_LINETRACE_IMPL_H__BB241B93_5168_45B0_9B10_2DCE2D5A852D__INCLUDED_)
#define AFX_FR_LINETRACE_IMPL_H__BB241B93_5168_45B0_9B10_2DCE2D5A852D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "tester.h"
#include "Fr_LineTrace.h"

class Fr_LineTrace_Impl : public Fr_LineTrace  
{
public:
	Fr_LineTrace_Impl(QWidget* parent, const char* name, WFlags fl );
	~Fr_LineTrace_Impl();

	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);
	void timerEvent(QTimerEvent * e);

    void on_stop_trace_to_file();
    void on_start_trace_to_file();
    void on_show_raw_hex_data();
    void on_show_fr_data();

	BOOL EnableTrace();
	void DisableTrace();

	BOOL tracing_enabled;
	QString txt, qstr;
	FCBLOCK cb;

	PFRAME_DATA		frame_info;
	USHORT			curr_pos;
	UCHAR			num_frames, num_chars;
	UINT			i, j;
	UCHAR			outstr[200];
	UCHAR			tmpstr[50];
	USHORT			dlci;
	char			raw_data;
	int				trace_ind;

	char s[300], s1[300];
    QListViewItem * list_view_item;

};

#endif // !defined(AFX_FR_LINETRACE_IMPL_H__BB241B93_5168_45B0_9B10_2DCE2D5A852D__INCLUDED_)
