/***************************************************************************
                          SetFrConfigImpl.h  -  description
                             -------------------
    begin                : Mon Sep 24 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETFRCONFIGIMPL_H
#define SETFRCONFIGIMPL_H

#include "SetFrConfig.h"
#include "tester.h"					//data types
#include "frelay.h"					//Fr code offsets, commands, structures

/**
  *@author DavidR
  */

class SetFrConfigImpl : public SET_FR_CONFIG
{
public: 
	SetFrConfigImpl(QWidget* parent = 0,
								 const char* name = 0,
								 bool modal = TRUE,
								 WFlags fl = 0);

  void setDefaultFrCfgValues();
	~SetFrConfigImpl();
  void OnOkClicked();
  void OnCancelClicked();
  void closeEvent(QCloseEvent * e);
  void showEvent(QShowEvent * e);
  void btn_AddDlci_clicked();
  void OnRemoveClicked();
  /** No descriptions */
  int adddlci(WORD dlci);
  /** No descriptions */
  void deletedlci(WORD dlci);


  //various temps
	bool ok;
	int i_tmp;
	QString s_tmp;
	char s[100];

	//data
	FRAME_RELAY_CONFIG m_fr_cfg;
  WORD configured_dlcis[MAX_DLCIS+1];
};

#endif
