/***************************************************************************
                          X25ManySendImpl.cpp  -  description
                             -------------------
    begin                : Fri Oct 5 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "MainWizardImpl.h"
#include "X25ManySendImpl.h"
#include "qcheckbox.h"

extern TesterWizardImpl * globalTesterWizPtr;


X25ManySendImpl::X25ManySendImpl(QWidget* parent,
								 const char* name,
								 bool modal, WFlags fl ):X25ManySend(parent,
														 name,
														 modal,
														 fl)
{
  set_widget_caption(this);

  LCN_102->setText("1");
  NumToSend_103->setText("10");
  Size_104->setText("10");
}


X25ManySendImpl::~X25ManySendImpl(){
}

void X25ManySendImpl::showEvent(QShowEvent * ev)
{
	set_widget_position_on_screen(this);

	Qbit_105->setChecked(false);
	Dbit_106->setChecked(false);
	Mbit_107->setChecked(false);
}

void X25ManySendImpl::on_Cancel_clicked()
{
	done(IDCANCEL);
}

void X25ManySendImpl::on_OK_clicked()
{
	char qdm;
	bool ok = false;
	int 		i_tmp;
	QString s_tmp;

	s_tmp = LCN_102->text();
	i_tmp = s_tmp.toUShort(&ok, 10);
	globalTesterWizPtr->manychannel = (WORD)i_tmp;

	s_tmp = NumToSend_103->text();
	i_tmp = s_tmp.toUShort(&ok, 10);
	globalTesterWizPtr->ntosend = (unsigned short)i_tmp;

	s_tmp = Size_104->text();
	i_tmp = s_tmp.toUShort(&ok, 10);
	globalTesterWizPtr->manysize = (unsigned short)i_tmp;
	qdm = 0;

	if (Qbit_105->isChecked() == true) qdm |= MASK_QBIT;
	if (Dbit_106->isChecked() == true) qdm |= MASK_DBIT;
	if (Mbit_107->isChecked() == true) qdm |= MASK_MBIT;

	globalTesterWizPtr->xcb.Q_D_M_bits = qdm;

/*
	if (RxTx_108->isChecked() == true) {
		globalTesterWizPtr->dorfes = true;
		globalTesterWizPtr->rmanychannel = globalTesterWizPtr->manychannel;
	}else
		globalTesterWizPtr->dorfes = false;
*/

	globalTesterWizPtr->nsent = 0;

	done(IDOK);
}

