/***************************************************************************
                          X25_HDLC_FunctionsImpl.h  -  description
                             -------------------
    begin                : Fri Oct 5 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef X25_HDLC_FUNCTIONSIMPL_H
#define X25_HDLC_FUNCTIONSIMPL_H

#include "X25_HDLC_Functions.h"

/**
  *@author DavidR
  */

class X25_HDLC_FunctionsImpl : public X25_HDLC_Functions  {
public: 

		X25_HDLC_FunctionsImpl(QWidget* parent = 0,
													 const char* name = 0,
													 bool modal = TRUE,
													 WFlags fl = 0);


	~X25_HDLC_FunctionsImpl();
	void DoIt();

	void on_exit_clicked();
  void on_close_link_clicked();
  void on_dce_clicked();
  void on_dte_clicked();
  void on_dtr_hi_clicked();
  void on_dtr_lo_clicked();
  void on_link_disconnect_clicked();
  void on_link_setup_clicked();
  void on_open_link_clicked();

	void showEvent(QShowEvent * ev);
};

#endif
