/***************************************************************************
                          X25_History_Impl.h  -  description
                             -------------------
    begin                : Tue Oct 16 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef X25_HISTORY_IMPL_H
#define X25_HISTORY_IMPL_H

#include "X25_History.h"

/**
  *@author DavidR
  */

class X25_History_Impl : public X25_History  {
public: 
	
  X25_History_Impl( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~X25_History_Impl();

  QListViewItem * list_view_item;

  void on_Suspend();
  void on_Close_Clicked();
  void on_Flush_Clicked();

	void timerEvent(QTimerEvent * e);
	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);

	char * HistPacket(BYTE type);
	char * HistCause(BYTE cause);

	//data
	int timer_id;
	XCBLOCK cb;
	XCBLOCK lastcb;
	int c, i;
	char s[80];
	bool update_flag;
	bool toggle_flag;
  char list_view_buff[500];
};

#endif
