// atm_oam_continuity_check_ctrl_impl.h: interface for the atm_oam_continuity_check_ctrl_impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ATM_OAM_CONTINUITY_CHECK_CTRL_IMPL_H__29BD5F55_1CB0_430A_B5F7_86CF40940AA6__INCLUDED_)
#define AFX_ATM_OAM_CONTINUITY_CHECK_CTRL_IMPL_H__29BD5F55_1CB0_430A_B5F7_86CF40940AA6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "atm_connect_disconnect_pvc.h"

class atm_oam_continuity_check_ctrl_impl : public atm_connect_disconnect_pvc  
{
public:
	atm_oam_continuity_check_ctrl_impl();
	~atm_oam_continuity_check_ctrl_impl();

	bool window_closed;
	bool initialize();
	
	void timerEvent(QTimerEvent * e);
	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);

	void on_connect_pvc_clicked();
	void on_disconnect_pvc_clicked();
	int get_vpi_vci();
	
	unsigned short vpi;
	unsigned short vci;

	void update_status_list(int i);

	unsigned char old_list_of_added_pvcs[SIZEOF_MB_DATA_BFR];
	unsigned char new_list_of_added_pvcs[SIZEOF_MB_DATA_BFR];

	QString qstr_vpi;
	QString qstr_vci;
	QString qstr_err_message;

	QListViewItem * list_view_item;


};

#endif // !defined(AFX_ATM_OAM_CONTINUITY_CHECK_CTRL_IMPL_H__29BD5F55_1CB0_430A_B5F7_86CF40940AA6__INCLUDED_)
