// atm_pvc_stats_impl.h: interface for the atm_pvc_stats_impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(ATM_PVC_STATS_IMPL_H)
#define ATM_PVC_STATS_IMPL_H


#include "atm_pvc_stats.h"

#include "atm_api.h"

class atm_pvc_stats_impl : public atm_pvc_stats  
{
public:
	atm_pvc_stats_impl(	void * parent, unsigned short vpi, unsigned short vci);
	~atm_pvc_stats_impl();

	bool window_closed;
	bool initialize();
	
	void timerEvent(QTimerEvent * e);
	void showEvent(QShowEvent * ev);
	void closeEvent(QCloseEvent * e);

	void update_statistics(ATMAL_PVC_OP_STATS_STRUCT * stats_ptr);

	QString qstr_tmp;
	QString qstr_vpi;
	QString qstr_vci;
	QString qstr_err_message;

	void * next_element;
	void * previouse_element;
	void * parent;

	unsigned short vpi;
	unsigned short vci;

	void on_Flush_clicked();
};

#endif // !defined(ATM_PVC_STATS_IMPL_H)
