// atm_set_atm_aal_configuration_impl.h: interface for the atm_set_atm_aal_configuration_impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(ATM_SET_ATM_AAL_CONFIGURATION_IMPL_H)
#define ATM_SET_ATM_AAL_CONFIGURATION_IMPL_H

#include "atm_set_atm_aal_configuration.h"

#include "phyapi.h"		// interface for the ATM firmware
#include "atmalapi.h"

#include "tester.h"					//data types

class atm_set_atm_aal_configuration_impl : public atm_set_atm_aal_configuration  
{
public:
	
	atm_set_atm_aal_configuration_impl(	QWidget* parent = 0,
								const char* name = 0,
								bool modal = TRUE,
								WFlags fl = 0);

	~atm_set_atm_aal_configuration_impl();

	ATMAL_CONFIGURATION_STRUCT atm_aal_cfg;
	ATMAL_CONFIGURATION_STRUCT atm_aal_cfg_old;

	void closeEvent(QCloseEvent * e);
	void showEvent(QShowEvent * e);

    void OnOkClicked();
    void OnCancelClicked();

	//various temps
	bool ok;
	int i_tmp;
	QString qsr_tmp;
};

#endif // !defined(ATM_SET_ATM_AAL_CONFIGURATION_IMPL_H)
