// atm_set_configuration_impl.h: interface for the atm_set_configuration_impl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(ATM_SET_CONFIGURATION_IMPL_H)
#define ATM_SET_CONFIGURATION_IMPL_H

#include "atm_set_configuration.h"

#include "phyapi.h"		// interface for the ATM firmware

#include "tester.h"					//data types

class atm_set_configuration_impl : public atm_set_configuration  
{
public:
	atm_set_configuration_impl(	QWidget* parent = 0,
								const char* name = 0,
								bool modal = TRUE,
								WFlags fl = 0);

	~atm_set_configuration_impl();

	void setDefault_ATM_CfgValues();

	void OnOkClicked();
	void OnCancelClicked();
	void closeEvent(QCloseEvent * e);
	void showEvent(QShowEvent * e);

	//various temps
	bool ok;
	int i_tmp;
	QString s_tmp;
	char s[100];

	//data
	PHY_CONFIGURATION_STRUCT atm_phy_cfg;
	PHY_CONFIGURATION_STRUCT atm_phy_cfg_old;//for comparing old and new config structures
	PHY_CONFIGURATION_STRUCT atm_phy_cfg_back;//for backing up, before changed on OK.

};

#endif // !defined(ATM_SET_CONFIGURATION_IMPL_H)
