/***************************************************************************
                          x25_config_and_response_options_Impl.cpp  -  description
                             -------------------
    begin                : Tue Oct 9 2001
    copyright            : (C) 2001 by DavidR
    email                : drokhvarg@sangoma.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "MainWizardImpl.h"

X25_Config_and_Response_Options_Impl::X25_Config_and_Response_Options_Impl(
																	QWidget* parent,
																	const char* name,
																	bool modal, WFlags fl ):X25_Config_and_Response_Options(
																																		parent,
																																		name,
																																		modal,
																																		fl)
{
  set_widget_caption(this);
}

X25_Config_and_Response_Options_Impl::~X25_Config_and_Response_Options_Impl()
{

}

void X25_Config_and_Response_Options_Impl::on_Cancel_clicked()
{
	done(IDCANCEL);
}

void X25_Config_and_Response_Options_Impl::on_OK_clicked()
{
	global_x25cfg_struct->X25_config_options = 0x00;

	if(IDC_COPT_BIT0->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x01;

	if(IDC_COPT_BIT1->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x02;

	if(IDC_COPT_BIT2->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x04;

	if(IDC_COPT_BIT3->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x08;

	if(IDC_COPT_BIT4->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x10;

	if(IDC_COPT_BIT5->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x20;

	if(IDC_COPT_BIT6->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x40;

	if(IDC_COPT_BIT7->isChecked() == true)
		global_x25cfg_struct->X25_config_options |= 0x80;

	////////////////
	global_x25cfg_struct->X25_response_options &= 0xFE;

	if(IDC_ROPT_BIT0->isChecked() == true)
		global_x25cfg_struct->X25_response_options |= 0x01;

//	printf("X25_config_options 		: 0x%x\n", global_x25cfg_struct->X25_config_options);
//	printf("X25_response_options 	: 0x%x\n", global_x25cfg_struct->X25_response_options);

	done(IDOK);
}

void X25_Config_and_Response_Options_Impl::showEvent(QShowEvent * ev)
{
  set_widget_position_on_screen(this);

	if(global_x25cfg_struct->X25_config_options & 0x01)
		IDC_COPT_BIT0->setChecked(true);

	if(global_x25cfg_struct->X25_config_options & 0x02)
		IDC_COPT_BIT1->setChecked(true);

	if(global_x25cfg_struct->X25_config_options & 0x04)
		IDC_COPT_BIT2->setChecked(true);

	if(global_x25cfg_struct->X25_config_options & 0x08)
		IDC_COPT_BIT3->setChecked(true);

	if(global_x25cfg_struct->X25_config_options & 0x10)
		IDC_COPT_BIT4->setChecked(true);

	if(global_x25cfg_struct->X25_config_options & 0x20)
		IDC_COPT_BIT5->setChecked(true);

	if(global_x25cfg_struct->X25_config_options & 0x40)
		IDC_COPT_BIT6->setChecked(true);

	if(global_x25cfg_struct->X25_config_options & 0x80)
		IDC_COPT_BIT7->setChecked(true);

	if(global_x25cfg_struct->X25_response_options & 0x01)
		IDC_ROPT_BIT0->setChecked(true);

}
